.bg-pattern {
    width: 100%;
    padding: 60px 0 100px;
    position: relative;
    background: url(/images/pattern.png) repeat 0 0 #f3f7fa;
    background-attachment: fixed;
}

.bg-education-pattern {
    width: 100%;
    position: relative;
    background: url(/images/article-pattern.png) repeat 0 0 #f6f9fa;
    background-attachment: fixed;
}

section.heading-page {
    padding-top: 120px;
    padding-bottom: 25px;
    text-align: center;
}

    section.heading-page::after {
        background-image: url(/images/index/bg-brwse.webp);
        background-position: center -410px;
        background-repeat: no-repeat;
        background-size: 100%;
        background-attachment: fixed;
        -webkit-filter: saturate(0.58 );
        -moz-filter: saturate(0.58 );
        -o-filter: saturate(0.58 );
        -ms-filter: saturate(0.58 );
        filter: saturate(0.58 ) brightness(.6);
        z-index: -1;
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

    section.heading-page h2 {
        margin-top: 0px;
        font-size: 15px;
        text-transform: uppercase;
        font-weight: 600;
        color: #fff;
        letter-spacing: 1px;
    }

    section.heading-page h1 {
        margin-top: 20px;
        margin-bottom: 20px;
        font-size: 36px;
        text-transform: uppercase;
        font-weight: 800;
        color: #fff;
        letter-spacing: 1px;
    }

@media(max-width:1110px) {
    section.heading-page::after {
        background-position: center -245px;
    }
}

@media(max-width:750px) {
    section.heading-page::after {
        background-position: center -150px;
    }
}

@media(max-width:535px) {
    section.heading-page::after {
        background-position: center -50px;
    }
}

@media(max-width:400px) {
    section.heading-page::after {
        background-position: center +50px;
    }
}

body{
    background-color: #f2f5f7;
}

.head-title{
    width: 110%;
    height: 20rem;
    position: absolute;
    border-radius:0 0 50% 50%;
    background-color: #2d3846;
    top: 5%;
    z-index: -1;
    left: -5%;
}

.img-container{
    width:4rem;
}

.menu-container{
    margin-top: 5rem;
    width: 95%;    
}

.accordion-item {
    border-radius: 10px!important;
    margin-bottom: 1rem;
}
.accordion-button{
    background-color: white!important;
    box-shadow: none!important;
    border-radius: 10px!important;
    color:rgb(59, 59, 59)!important;
    font-size: .8rem;
    height: 6.1rem;
    padding-right: 1.7rem; 
}
.accordion-button.collapsed{
    box-shadow: 0 1px 2px rgb(62 79 102 / 10%)!important;
}
.accordion-button:focus{
    border: none;
    box-shadow: none;
}
.accordion-button .img-title{
    width: 55px;
    height: 55px;
    padding: 1.1px;
    border: 2px solid rgba(194, 194, 194, 0.815);
    border-radius: 50%;
    position: relative;
    text-align: center;
}
.img-title img{
    filter: grayscale(.85);
}
.lesson.open .img-title{
    border-color: rgba(0, 0, 0, 0);
}
.lesson.open .img-title img{
    filter: grayscale(0)!important;
}
.lesson.completed .img-title img{
    filter: grayscale(0)!important;
}
.img-title i.bi-lock-fill{
    position: absolute;
    top: calc(50% - 12px);
    left: calc(50% - 11px);
    color: #e1e1e1d1;
    font-size: 23px;
    z-index: 5;
}
/*item img circle pie*/
.svg{
    overflow: visible;
}
.svg circle {
    stroke-dashoffset: 0;
    transition: stroke-dashoffset 1s linear;
    stroke: rgba(194, 194, 194, 0.815);
    stroke-width: 2px;
  }
.svg .bar {
    stroke: #40bf9c;
  }
.circle-bar {
    display: block;
    z-index: 30;
    height: 50px;
    width: 50px;
    margin: 0;
    border-radius: 100%;
    position: absolute;
    top: -2.1px;
    left: -2.5px;
    transform: rotateZ(-90deg);
  }

.accordion-button h6{
    font-size: .89rem;
    font-weight: 600;
    margin: 0 1rem 0 0; 
}

.accordion-button::after {
    width: 1.25rem;
    height: 1.25rem;
    margin-right: auto;
    display: inline-block;
    font-family: bootstrap-icons !important;
    font-weight: bolder;
    font-size: 1.15rem;
    font-variant: normal;
    -webkit-font-smoothing: antialiased;
    content: "\F229";
    transition: transform .2s ease-in-out;
    background: none;
    color: rgb(145, 162, 168);
}

.accordion-button:not(.collapsed)::after {
    background: none;
}

.accordion-body{
    padding: 0.8rem 98px 0.9rem 0;
    position: relative;
}

.lesson-item-row{
    display: grid;
    row-gap: 20px;
    column-gap: 15px;
    grid-template-columns: repeat(3,calc(33.3% - 10px));
    max-width: 682px;
    margin-bottom: 20px;
    position: relative;
}

.lesson-item{
    height: 130px;
    background-color: rgba(36, 147, 223, 0.2);
    border-radius: 8px;
    padding: 1.2rem 1rem;
    cursor: pointer;
    position: relative;
}

.lesson-item.locked {
    background-color: #eaf0f3;
    opacity: .5;
    cursor:not-allowed;
}
.lesson-item.completed {
    background-color: #eaf0f3;
}

.lesson-item h6{
    font-weight: 500;  
    font-size: 15px;
    color: #2d3846;
}
.lesson-item p.title{
    font-weight: 500;  
    font-size: 13px;
    color: #6b7f99;
    margin-bottom: 2rem;
}

.lesson-item p.comments{
    color: #6b7f99;
    font-size: 12px;
    margin-bottom: 0;
    line-height: 14px;
}

.status-icon{   
    position: absolute;   
    left: 11px;
    bottom: 11px;
    width: 28px;
    height: 28px;
}

.status-icon i{
    width: 100%;
    height: 100%;
    color: #2493df;
    display: inline-block;
    text-align: center;
}
.lesson-item.locked .status-icon i{
    background-color: #6b7f99;
    color: #c8d2db;
    border-radius: 50%;
    padding: 3px 0;
    width: 28px;
    height: 28px;
    font-size: 17px;
}
.lesson-item.completed .status-icon i{
    color: #40bf9c;
}

.lesson-item:not(.locked):not(.completed) .status-icon i::before{
    content: "\f4f2";
    transform: rotateZ(180deg);
    font-size: 28px;
}
.lesson-item.locked .status-icon i::before{
    content: "\f47a";
}
.lesson-item.completed .status-icon i::before{
    content: "\F26A";
    font-size: 28px;
}


.step-line{
    width: 2px;
    height: calc(100% - 82px)!important;
    position: absolute;
    top: -33px;
    right: 53px;
    z-index: 20;   
}

.hide-line-last{
    height: calc(100% - 73px)!important;
    width: 6px;
    position: absolute;
    top: 57px;
    right: -47px;
    color: white;
    z-index: 25;
    opacity: 1;
}

.step-circle{
    height: 16px;
    width: 16px;
    background: #6b7f99;
    border-radius: 50%;
    position: absolute;
    right: -52px;
    top: 57px;
    z-index: 21;
}
.lesson-item-row.open .step-circle{
    background: #2493df;
}
.lesson-item-row.completed .step-circle{
    background: #40bf9c;
}

  
@media (max-width:845px) {
    .lesson-item-row{
        grid-template-columns: repeat(2,calc(50% - 10px));
        max-width: 495px;
    }
    
}

@media (max-width:635px) {
    .lesson-item-row{
        grid-template-columns: repeat(1,100%);
        max-width: 255px;
    }
    
}

@media (max-width:390px) {
    .step-circle {
        right: -24px;
    }
    .hide-line-last{
        right: -18px;
    }
    .accordion-body {
        padding: 0.8rem 70px 0.9rem 1rem;
    }
}
